with Ada.Command_Line;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Ada.Text_IO;use Ada.Text_IO;
with Ada.Strings.Unbounded.Text_IO; use Ada.Strings.Unbounded.Text_IO;

with Concread; use Concread;


procedure Nreaders
 is
   Wrong_Args: exception;
   Readers: array (Positive range 1..10) of Concurrent_Read_Ref;
begin
   if Ada.Command_Line.Argument_Count < 1 then
      raise Wrong_Args;
   end if;

   for I in 1 .. Ada.Command_Line.Argument_Count loop
      Readers(I):= new Concurrent_Read(My_Id=>I);
   end loop;

   for I in 1 .. Ada.Command_Line.Argument_Count loop
         Readers(I).Filetoread(Ada.Command_Line.Argument(I));
   end loop;


exception
   when Wrong_Args =>
      Put_Line("Wrong Number of Arguments Given to "&Ada.Command_Line.Command_Name);

   when others => null;
end Nreaders;
